/*
Theme Name: JupiterX Child
Description: Jupiter X Child Theme
Author: Artbees
Author URI: https://jupiterx.com
Template: jupiterx
Version: 1.0.0
Text Domain: jupiterx
Domain Path: /languages
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Add your custom CSS codes in assets/less/style.less */


*,::after,::before {box-sizing: border-box; padding: 0; margin: 0; -webkit-box-sizing: border-box; -moz-box-sizing: border-box;}
a, button{transition: 0.3s ease-in-out; outline: none; text-decoration: none;}
body {margin: 0;padding: 0;}
p:last-child{margin: 0; padding: 0;}
p:empty{margin: 0; padding: 0;}
h1,h2,h3,h4,h5,h6{margin: 0;}

header .my-navbar{position:fixed; top:0; left:0; right:0; z-index:9999;}
.sticky header .my-navbar{box-shadow:0 0 8px 0 rgba(0,0,0,0.1);}

header .head-menu ul li a{transition: 0.3s ease-in-out !important;}
header .main-header{transition: transform 0.3s ease, top 0.3s ease !important; position: absolute !important; top:100%;}
header .main-header.sticky-active {position: fixed !important;top: 0;left: 0;right: 0;z-index: 9999;}
header .sticky-hide {transform: translateY(-100%);}
header .sticky-show {transform: translateY(0);}


.home-banner{position: relative;}
.home-banner:after{content: "" !important; display: block !important; background: url(./images/bnr-shape.png) center bottom no-repeat; background-size: 100% 100%; position: absolute; bottom: -1px; padding-bottom: 18%; width: 100%; left: 0; right: 0;}
.home-banner.service-area:after{padding-bottom: 13%;}

.service-box .service-img{position: relative; padding-bottom: 50%;}
.service-box .service-img img{position: absolute; width: 100% !important; height: 100% !important; top: 0; left: 0; object-fit: cover;}
.service-box .service-icon{width: 94px; height: 94px; background-color: #db2204; border-radius: 10px; display: flex; align-items: center !important; justify-content: center !important; position: absolute !important; top: -47px;}
.service-box .service-btn{position: absolute !important; right: 0; bottom: -28px;}

.comt-info .pp-info-box .pp-info-box-icon-wrap .pp-info-box-icon{min-width: 94px; height: 94px; display: flex; align-items: center; justify-content: center;}
.comt-info .pp-info-box .pp-info-box-icon-wrap .pp-info-box-icon img{width: auto;}
.comt-info .pp-info-box .pp-info-box-content{border-left: solid 1px #c5c8d2; margin-left: 16px;}
.comt-info .pp-info-box .pp-info-box-icon-wrap{min-width: 94px;}


.blog-main .pp-post-thumbnail a{display: block; position: relative; padding-bottom: 70%;}
.blog-main .pp-post-thumbnail a img{position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover;}
.blog-main .pp-post-content-wrap{position: relative;}
.blog-main .pp-post-content-wrap .pp-post-meta .pp-post-date{background-color: #19243e; padding: 10px 30px; border-radius: 0 10px 0 0; display: inline-block; position: absolute; top: -42px; left: 0;}
.blog-main .pp-posts-button{display: flex; align-items: center; gap:5px;}
.blog-main .pp-posts-button svg{fill: #db2204; transition: 0.3s ease-in-out;}
.blog-main .pp-posts-button:hover svg{fill: #1860a7;}
.blog-main .pp-posts-pagination{display: flex; flex-wrap: wrap; justify-content: center; gap:8px;}
.blog-main .pp-posts-pagination .page-numbers{width: 24px; height: 24px; display: flex; align-items:center; justify-content: center; margin: 0;}


.cta-banner{position: relative;}
.cta-banner:after{content: "" !important; display: block !important; background: url(./images/cta-shape.png) center bottom no-repeat; background-size: 100% 100%; position: absolute; bottom: -1px; padding-bottom: 18%; width: 100%; left: 0; right: 0;}


footer .footer-menu ul{column-count: 2;}
footer .footer-menu ul li a{transition: 0.3s ease-in-out !important;}
footer .footer-menu ul li a:hover{color: #db2204 !important;}


.heating-menu .jupiterx-widget{margin-bottom:0px;}
.heating-menu ul{ margin:0px !important; padding:0px !important;}
.heating-menu ul li{margin:0px !important; padding:0px !important; position:relative;}
.heating-menu ul > li.menu-item-has-children:before{ content: ""; position: absolute !important; top: 0 !important; left: auto; right: 0 !important; width: 19px; height: 10px; background-color: transparent!important; background: url(/wp-content/uploads/2026/01/caret-down.svg) no-repeat center center; background-size: contain; transition: all 0.3s ease-in-out; display: block!important; opacity: 1!important; transform: translate(0,20px)!important; z-index: 2; cursor: pointer !important; }
.heating-menu ul li ul.sub-menu li:before{ content: ""; position: absolute !important; top: 0 !important; left: auto; right: 0 !important; width: 16px; height: 16px; background-color: transparent!important; background: url(/wp-content/uploads/2026/01/next.svg) no-repeat center center; background-size: contain; transition: all 0.3s ease-in-out; display: block!important; opacity: 1!important; transform: translate(0,18px)!important; z-index: 2; cursor: pointer !important; filter: invert(7%) sepia(100%) saturate(7475%) hue-rotate(5deg) brightness(109%) contrast(116%);}
.heating-menu ul > li.menu-item-has-children.jupiterx-icon-minus:before {transform: translate(0,20px) rotate(180deg)!important; filter: invert(25%) sepia(84%) saturate(981%) hue-rotate(182deg) brightness(102%) contrast(95%);}

.heating-menu ul li a{display:inline-block; text-decoration:none !important; width:100% !important; font-family: "aller-display"; font-size: 18px; font-weight: 400; line-height: 1.2em; text-transform: uppercase; color: #19243e; padding:15px 20px 15px 0px; border-bottom:solid 1px #b9c2db; overflow: inherit; text-overflow: clip; white-space: pre-wrap; }
.heating-menu ul li a:hover{color:#ee0000;}
.heating-menu ul li.current-menu-item > a{color:#ee0000;}
.heating-menu ul li.jupiterx-icon-minus > a{color:#1860a7;}
.heating-menu ul li > ul > li > a{padding:15px 20px 15px 20px; color: #1860a7;}
.heating-menu ul li > ul > li > a:hover{color:#ee0000;}

.heating-menu ul > li:last-child > a{border-bottom:solid 0px #b9c2db;}
.heating-menu ul li > ul > li:last-child > a{border-bottom:solid 1px #b9c2db;}

.blog-postcnt .elementor-element h2{font-size:var(--e-global-typography-secondary-font-size); margin:0; padding:0 0 0.8rem;}
.blog-postcnt .elementor-element p + h2,
.blog-postcnt .elementor-element ul + h2,
.blog-postcnt .elementor-element figure + h2{padding-top:0.5rem;}
.blog-postcnt .elementor-element h3{font-size:var(--e-global-typography-c8e676c-font-size); margin:0; padding:0 0 0.8rem;}
.blog-postcnt .elementor-element p + h3,
.blog-postcnt .elementor-element ul + h3,
.blog-postcnt .elementor-element figure + h3{padding-top:0.5rem;}
.blog-postcnt .elementor-element ul{margin:0; padding:0 0 1rem 1.2rem;}
.blog-postcnt .elementor-element ul li::marker{color:var( --e-global-color-accent );}
.blog-postcnt .elementor-element figure{padding:0 0 1rem; margin:0;}
.blog-postcnt .elementor-element p + figure,
.blog-postcnt .elementor-element ul + figure{padding-top:0.5rem;}
.blog-postcnt .elementor-element p:last-child{margin-bottom:0;}
.blog-postcnt .elementor-element ul:last-child{padding-bottom:0;}
.blog-postcnt .elementor-element figure:last-child{padding-bottom:0;}
.blog-postcnt .elementor-element figure + p{padding-top:0.5rem;}

.blog-right > .elementor-element{display:flex; flex-direction:column; gap:32px;}
.blog-right > .elementor-element > .widget_block{box-shadow:0px 1px 40px 7px rgba(0, 0, 0, 0.14); border-radius:10px; padding:24px; background:#fff; margin:0;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper{padding:4px; margin:0; border:solid 1px #c5c8d2; outline:none; display:flex; border-radius:8px;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper input{outline:none; border:none; padding:8px 16px; width:calc(100% - 44px); height:auto; font-family:var( --e-global-typography-text-font-family ), Sans-serif; font-size:var( --e-global-typography-text-font-size ); line-height:normal; font-weight:normal;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper button{height:44px; width:44px; border:none; padding:0; margin:0; background:var( --e-global-color-accent ); color:var( --e-global-color-2afa8ee ); border-radius:8px;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper button:hover{background:var( --e-global-color-primary );}
.blog-right > .elementor-element .wp-block-heading{font-size:var(--e-global-typography-c8e676c-font-size); margin:0; padding:0 0 0.8rem;}
.blog-right > .elementor-element ul{padding:0; margin:0; display:flex; flex-direction:column; gap:8px;}
.blog-right > .elementor-element ul li{margin:0; padding:8px 0 0; border-top:solid 1px #c5c8d2; font-size:var( --e-global-typography-text-font-size );}
.blog-right > .elementor-element ul li:first-child{border:none; padding:0;}
.blog-right > .elementor-element ul li a{color:var( --e-global-color-text );}
.blog-right > .elementor-element ul li a:hover{color:var( --e-global-color-accent );}

#jupiterx-main .contact-sec1 .elementor-shortcode .gform_fields{gap:24px; font-family:var( --e-global-typography-text-font-family ), Sans-serif; font-size:--e-global-typography-39d716c-font-size;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gform_fields .frm-tit.gfield{margin:0 0 -16px; font-family:var( --e-global-typography-c8e676c-font-family ), Sans-serif; font-size:var(--e-global-typography-c8e676c-font-size); font-weight:500; color:var( --e-global-color-primary ); text-transform:uppercase;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield.gfield--type-name .ginput_container{gap:24px; display:flex;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield.gfield--type-name .ginput_container > span{padding:0; width:50%; margin:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield.gfield--type-name .ginput_container label{padding:0; margin:0; display:none;}

#jupiterx-main .contact-sec1 .elementor-shortcode .gfield input:not([type="checkbox"]):not([type="radio"]):not([type="file"]):not([type="submit"]),
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield select,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield textarea{padding:12px 20px; margin:0; border:solid 1px var( --e-global-color-primary ); outline:none; box-shadow:none; border-radius:8px; background:#fff; font-family:var( --e-global-typography-text-font-family ), Sans-serif; font-size:--e-global-typography-39d716c-font-size; font-weight:normal; line-height:normal; height:48px; width:100%; color:var( --e-global-color-text ); line-height: 1;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield textarea{height:140px; resize:none;}

#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox{display:flex; flex-wrap:wrap; row-gap:16px; column-gap:24px;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox .gchoice,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) .ginput_container{position:relative; padding:0; margin:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox input,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) input{position:absolute; left:0; top:0; width:100%; height:100%; opacity:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox label,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) label{padding:0 0 0 30px; margin:0; position:relative; cursor:pointer;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox label:before,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) label:before{content:''; width:18px; height:18px; border:2px solid var( --e-global-color-primary ); border-radius:4px; margin-right:10px; position:absolute; left:0; top:1px; opacity:0.5;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox input:checked +  label:before,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) input:checked +  label:before{background-color:var( --e-global-color-accent ); border-color:var( --e-global-color-accent ); opacity:1;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield .gfield_checkbox input:checked + label::after,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-choice:not(.gf_list_inline) input:checked + label::after{content:""; position:absolute; left:7px; top:4px; width:5px; height:10px; border:solid white; border-width:0 2px 2px 0; transform:rotate(45deg);}

#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-phone > .gfield_description{font-size:12px; opacity:0.7;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex{display:flex; flex-wrap:wrap; gap:24px; margin:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex > span{margin:0; padding:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex > span label{display:none;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex > span:not(.ginput_full){flex:unset; width:100%;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex .gf_clear:empty{display:none;}

#jupiterx-main .contact-sec1 .elementor-shortcode .gfield > label,
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield > legend{margin:0; font-weight:normal; padding-bottom:8px; display: none;}

#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-fileupload > label{font-family:var( --e-global-typography-c8e676c-font-family ), Sans-serif; font-size:var(--e-global-typography-c8e676c-font-size); font-weight:500; color:var( --e-global-color-primary ); text-transform:uppercase; margin:0; padding:0 0 8px;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-fileupload > .gfield_description{padding:0 0 8px;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-fileupload .ginput_container .gfield_description{margin:0; padding:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-fileupload button.button{border:solid 2px var( --e-global-color-primary ); border-radius:8px; margin:0; padding:0 24px; height:44px; background:none; outline:none; box-shadow:none; font-family:var( --e-global-typography-accent-font-family ), Sans-serif; font-size:var( --e-global-typography-accent-font-size ); font-weight:var( --e-global-typography-accent-font-weight ); line-height:normal; color:var( --e-global-color-primary ); cursor:pointer;}

#jupiterx-main .contact-sec1 .elementor-shortcode .gform-footer{padding:24px 0 0; margin:0;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gform-footer input.button{padding:0; margin:0; background:var( --e-global-color-accent ); color:#fff; border-radius:8px; padding:15px 45px; outline:none; border:none; box-shadow:none; font-family:var( --e-global-typography-accent-font-family ), Sans-serif; font-size:var( --e-global-typography-accent-font-size ); font-weight:var( --e-global-typography-accent-font-weight ); line-height:normal; transition:all 0.3s; cursor:pointer; line-height: 1;}
#jupiterx-main .contact-sec1 .elementor-shortcode .gform-footer input.button:hover{background:var( --e-global-color-primary );}
::placeholder{color: #19243e;}

.acc-linkstitle .pp-accordion-tab-title .pp-accordion-title-icon .pp-accordion-title-text a{color:var( --e-global-color-primary );}
.acc-linkstitle .pp-accordion-tab-title .pp-accordion-title-icon .pp-accordion-title-text a:hover{color:var( --e-global-color-accent );}



@media only screen and (min-width: 1800px){
	.cta-banner:after,
	.home-banner:after,
	.home-banner.service-area:after{padding-bottom: 11%;}
}


@media only screen and (max-width: 1200px){
	header .hide-box{display: none !important;}
	header .main-logo{text-align: left;}
	header .main-logo img{max-width: 280px;}
	#rmp_menu_trigger-114{top: 35px !important; right: 20px !important; outline: none !important;}
	header.jupiterx-header{position: fixed; background-color: #ffffff; top: 0; left: 0; width: 100%; transition: 0.3s ease-in-out;}
	body{padding-top: 109px;}
	.sticky header.jupiterx-header{box-shadow: 0 5px 16px rgb(0 0 0 / 10%);}
	
	#rmp-container-114 > .rmp-menu-title{padding:0 0 20px; margin:0;}
	#rmp-container-114 > .rmp-menu-title .rmp-menu-title-image{margin:0; height:auto; width:100%;}
	#rmp-container-114 > .rmp-menu-additional-content{padding:0 0 20px; margin:0 -20px 0;}
	#rmp-container-114 .pp-buttons-group{padding:0; margin:0; border:none; display:flex; flex-wrap:nowrap;}
	#rmp-container-114 .pp-buttons-group > a{background:#fff; color:#000; width:100%; min-height:48px; display:flex; align-items:center; justify-content:center; font-family:var( --e-global-typography-accent-font-family ), Sans-serif; font-weight:700; font-size:var( --e-global-typography-accent-font-size ); gap:10px; line-height:normal; text-transform:uppercase;}
	#rmp-container-114 .pp-buttons-group > a:last-child{color:#fff; background:var( --e-global-color-accent );}
	#rmp-container-114 .pp-buttons-group > a img{width:18px; height:18px; object-fit:contain;}

}

@media only screen and (max-width: 767px){
	#rmp_menu_trigger-114{top: 86px !important;}
	footer .footer-menu ul{column-count: 1;}
	footer .footer-menu ul li a{justify-content: center !important;}
	#jupiterx-main .contact-sec1 .elementor-shortcode .gfield--type-address .ginput_complex > span:not(.ginput_full){width:100%;}
	
	.comt-info .pp-info-box .pp-info-box-icon-wrap{min-width:72px;}
	.comt-info .pp-info-box .pp-info-box-icon-wrap .pp-info-box-icon{min-width:74px; height:74px;}
	
	#jupiterx-main .mb-btndual .pp-buttons-group,
	header .my-navbar .mb-btndual .pp-buttons-group{flex-wrap:nowrap;}
	#jupiterx-main .mb-btndual .pp-buttons-group a.pp-button,
	header .my-navbar .mb-btndual .pp-buttons-group a.pp-button{width:100%; line-height:normal; padding-left:20px; padding-right:20px;}
	header .my-navbar .mb-btndual .pp-buttons-group a.pp-button{border-radius:0;}
	
	#jupiterx-main .cta-banner:not(.cta-banner2) > .e-con-inner{padding-bottom:30%;}
	.service-box .service-icon{width:74px; height:74px;}

}